List Curator Social / Streaming URLs

Get social media and streaming service URLs belonging to this curator. url is a string when a URL is known; the handler emits an empty array [] when SNS data has no URL for the domain.

Path Parameters
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric curator ID.

  • platform
    Type: string enum
    required

    Streaming platform. Social URLs are supported on spotify, applemusic, deezer.

    values
    • spotify
    • applemusic
    • deezer
Responses
  • application/json
Request Example for get/api/curator/{platform}/{id}/urls
curl https://api.chartmetric.com/api/curator/spotify/0/urls \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": [
    {
      "domain": "youtube",
      "url": "https://www.youtube.com/channel/UC4sYm9wRMr4uUVln4DywKOg"
    },
    {
      "domain": "website",
      "url": "https://filtr.com/"
    },
    {
      "domain": "soundcloud",
      "url": "https://soundcloud.com/filtr"
    },
    {
      "domain": "facebook",
      "url": "https://www.facebook.com/filtr/"
    },
    {
      "domain": "instagram",
      "url": "https://www.instagram.com/filtr/"
    },
    {
      "domain": "tiktok",
      "url": "https://www.tiktok.com/@filtr.music"
    },
    {
      "domain": "spotify",
      "url": "https://open.spotify.com/user/myplay.com"
    }
  ]
}